.dropdown-header {
    font-family: $font-family-base;
    font-weight: $font-weight-medium;
}

.dropdown * {
    &:focus {
        outline: 0;
    }
}


.dropdown-sm {
    .dropdown-menu {
        font-size: 14px;
    }
    .dropdown-divider {
        margin: 0.25rem 0;
    }
}

.dropdown-menu {
    &.type-tertiary {
        background-color: rgba($color: $tertiary, $alpha: 0.9);
        color: $white;
        .dropdown-item {
            color: $white;
            font-size: 14px;
            font-family: $font-family-alt;
            font-weight: $font-weight-bold;
            @include hover-focus {
                color: $dark-main;
                background-color: transparent !important;
            }
        }
    }
}

li.dropdown-item {
    &.has-submenu {
        position: relative;
        cursor: pointer;
        &:after {
            margin-left: 0.5rem;
            display: inline-block;
            vertical-align: 0;
            content: "";
            border-top: 0.3em solid transparent;
            border-left: 0.3em solid;
            border-bottom: 0.3em solid transparent;
        }
    }
    
    > .dropdown-submenu {
        @extend .dropdown-menu;
        position: absolute;
        left: 100%;
        top: 0;
        display: none;
    }
    
    &.to-left {
        &.has-submenu {
            &:before {
                margin-right: 0.5rem;
                display: inline-block;
                vertical-align: 0;
                content: "";
                border-top: 0.3em solid transparent;
                border-right: 0.3em solid;
                border-bottom: 0.3em solid transparent;
            }
            &:after {
                display: none;
            }
        }
        > .dropdown-submenu {
            right: 100%;
            left: initial;
        }
    }
    &:hover {
        > .dropdown-submenu {
            display: block;
        }
    }
}

.force-down.dropdown-menu{
    transform: translate3d(5px, 35px, 0px)!important;
}